MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
sc::CLHF Class Reference

CLHF is a Hartree-Fock specialization of CLSCF. More...

`#include <clhf.h>`

Inheritance diagram for sc::CLHF:

List of all members.

## Public Member Functions

| CLHF (StateIn &)
| CLHF (const Ref< KeyVal > &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | print (std::ostream &o=ExEnv::out0()) const
| Print information about the object.
void | two_body_energy (double &ec, double &ex)
int | value_implemented () const
| Information about the availability of values, gradients, and hessians.
int | gradient_implemented () const

## Protected Member Functions

void | ao_fock (double accuracy)
void | two_body_deriv (double *)

## Detailed Description

CLHF is a Hartree-Fock specialization of CLSCF.

## Member Function Documentation

void sc::CLHF::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::CLSCF.

int sc::CLHF::value_implemented | ( |  | ) | const`[virtual]`

Information about the availability of values, gradients, and hessians.

Reimplemented from sc::Function.

The documentation for this class was generated from the following file:

- clhf.h